URLConnection
Date: 2016-06-24

java.net

## Class URLConnection

- java.lang.Object
- - java.net.URLConnection

- Direct Known Subclasses:
    HttpURLConnection, JarURLConnection

      public abstract class URLConnection
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `allowUserInteraction`
    `protected boolean` | `connected`
    `protected boolean` | `doInput`
    `protected boolean` | `doOutput`
    `protected long` | `ifModifiedSince`
    `protected URL` | `url`
    `protected boolean` | `useCaches`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `URLConnection(URL var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequestProperty(String var0, String var1)`
    `abstract void` | `connect()`
    `boolean` | `getAllowUserInteraction()`
    `Object` | `getContent()`
    `Object` | `getContent(Class[] var0)`
    `String` | `getContentEncoding()`
    `int` | `getContentLength()`
    `String` | `getContentType()`
    `long` | `getDate()`
    `static boolean` | `getDefaultAllowUserInteraction()`
    `boolean` | `getDefaultUseCaches()`
    `boolean` | `getDoInput()`
    `boolean` | `getDoOutput()`
    `long` | `getExpiration()`
    `static FileNameMap` | `getFileNameMap()`
    `String` | `getHeaderField(int var0)`
    `String` | `getHeaderField(String var0)`
    `long` | `getHeaderFieldDate(String var0, long var1)`
    `int` | `getHeaderFieldInt(String var0, int var1)`
    `String` | `getHeaderFieldKey(int var0)`
    `Map` | `getHeaderFields()`
    `long` | `getIfModifiedSince()`
    `InputStream` | `getInputStream()`
    `long` | `getLastModified()`
    `OutputStream` | `getOutputStream()`
    `Permission` | `getPermission()`
    `Map` | `getRequestProperties()`
    `String` | `getRequestProperty(String var0)`
    `URL` | `getURL()`
    `boolean` | `getUseCaches()`
    `static String` | `guessContentTypeFromName(String var0)`
    `static String` | `guessContentTypeFromStream(InputStream var0)`
    `void` | `setAllowUserInteraction(boolean var0)`
    `static void` | `setContentHandlerFactory(ContentHandlerFactory var0)`
    `static void` | `setDefaultAllowUserInteraction(boolean var0)`
    `void` | `setDefaultUseCaches(boolean var0)`
    `void` | `setDoInput(boolean var0)`
    `void` | `setDoOutput(boolean var0)`
    `static void` | `setFileNameMap(FileNameMap var0)`
    `void` | `setIfModifiedSince(long var0)`
    `void` | `setRequestProperty(String var0, String var1)`
    `void` | `setUseCaches(boolean var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allowUserInteraction

          protected boolean allowUserInteraction

    - #### connected

          protected boolean connected

    - #### doInput

          protected boolean doInput

    - #### doOutput

          protected boolean doOutput

    - #### ifModifiedSince

          protected long ifModifiedSince

    - #### url

          protected URL url

    - #### useCaches

          protected boolean useCaches

  - ### Constructor Detail

    - #### URLConnection

          protected URLConnection(URL var0)

  - ### Method Detail

    - #### addRequestProperty

          public void addRequestProperty(String var0,
                                String var1)

    - #### connect

          public abstract void connect()
                                throws IOException

      Throws:
        `IOException`

    - #### getAllowUserInteraction

          public boolean getAllowUserInteraction()

    - #### getContent

          public Object getContent()
                            throws IOException

      Throws:
        `IOException`

    - #### getContent

          public Object getContent(Class[] var0)
                            throws IOException

      Throws:
        `IOException`

    - #### getContentEncoding

          public String getContentEncoding()

    - #### getContentLength

          public int getContentLength()

    - #### getContentType

          public String getContentType()

    - #### getDate

          public long getDate()

    - #### getDefaultAllowUserInteraction

          public static boolean getDefaultAllowUserInteraction()

    - #### getDefaultUseCaches

          public boolean getDefaultUseCaches()

    - #### getDoInput

          public boolean getDoInput()

    - #### getDoOutput

          public boolean getDoOutput()

    - #### getExpiration

          public long getExpiration()

    - #### getFileNameMap

          public static FileNameMap getFileNameMap()

    - #### getHeaderField

          public String getHeaderField(int var0)

    - #### getHeaderField

          public String getHeaderField(String var0)

    - #### getHeaderFieldDate

          public long getHeaderFieldDate(String var0,
                                long var1)

    - #### getHeaderFieldInt

          public int getHeaderFieldInt(String var0,
                              int var1)

    - #### getHeaderFieldKey

          public String getHeaderFieldKey(int var0)

    - #### getHeaderFields

          public Map getHeaderFields()

    - #### getIfModifiedSince

          public long getIfModifiedSince()

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Throws:
        `IOException`

    - #### getLastModified

          public long getLastModified()

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Throws:
        `IOException`

    - #### getPermission

          public Permission getPermission()
                                   throws IOException

      Throws:
        `IOException`

    - #### getRequestProperties

          public Map getRequestProperties()

    - #### getRequestProperty

          public String getRequestProperty(String var0)

    - #### getURL

          public URL getURL()

    - #### getUseCaches

          public boolean getUseCaches()

    - #### guessContentTypeFromName

          public static String guessContentTypeFromName(String var0)

    - #### guessContentTypeFromStream

          public static String guessContentTypeFromStream(InputStream var0)
                                                   throws IOException

      Throws:
        `IOException`

    - #### setAllowUserInteraction

          public void setAllowUserInteraction(boolean var0)

    - #### setContentHandlerFactory

          public static void setContentHandlerFactory(ContentHandlerFactory var0)

    - #### setDefaultAllowUserInteraction

          public static void setDefaultAllowUserInteraction(boolean var0)

    - #### setDefaultUseCaches

          public void setDefaultUseCaches(boolean var0)

    - #### setDoInput

          public void setDoInput(boolean var0)

    - #### setDoOutput

          public void setDoOutput(boolean var0)

    - #### setFileNameMap

          public static void setFileNameMap(FileNameMap var0)

    - #### setIfModifiedSince

          public void setIfModifiedSince(long var0)

    - #### setRequestProperty

          public void setRequestProperty(String var0,
                                String var1)

    - #### setUseCaches

          public void setUseCaches(boolean var0)